Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.27.96.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
127.27.96.0
Broadcast address
127.27.127.255
First usable
127.27.96.1
Last usable
127.27.127.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F1B6000 · Integer 2132500480 to 2132508671
Reverse DNS zones
96.27.127.in-addr.arpa
97.27.127.in-addr.arpa
98.27.127.in-addr.arpa
99.27.127.in-addr.arpa
100.27.127.in-addr.arpa
101.27.127.in-addr.arpa
102.27.127.in-addr.arpa
103.27.127.in-addr.arpa
104.27.127.in-addr.arpa
105.27.127.in-addr.arpa
106.27.127.in-addr.arpa
107.27.127.in-addr.arpa
108.27.127.in-addr.arpa
109.27.127.in-addr.arpa
110.27.127.in-addr.arpa
111.27.127.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.00011011.01100000.00000000127.27.96.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01111111.00011011.01100000.00000000127.27.96.0
Broadcast01111111.00011011.01111111.11111111127.27.127.255
Split into smaller subnets/27

127.27.96.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.27.96.0/27127.27.96.1 to 127.27.96.30127.27.96.3130
2127.27.96.32/27127.27.96.33 to 127.27.96.62127.27.96.6330
3127.27.96.64/27127.27.96.65 to 127.27.96.94127.27.96.9530
4127.27.96.96/27127.27.96.97 to 127.27.96.126127.27.96.12730
5127.27.96.128/27127.27.96.129 to 127.27.96.158127.27.96.15930
6127.27.96.160/27127.27.96.161 to 127.27.96.190127.27.96.19130
7127.27.96.192/27127.27.96.193 to 127.27.96.222127.27.96.22330
8127.27.96.224/27127.27.96.225 to 127.27.96.254127.27.96.25530
9127.27.97.0/27127.27.97.1 to 127.27.97.30127.27.97.3130
10127.27.97.32/27127.27.97.33 to 127.27.97.62127.27.97.6330
11127.27.97.64/27127.27.97.65 to 127.27.97.94127.27.97.9530
12127.27.97.96/27127.27.97.97 to 127.27.97.126127.27.97.12730
13127.27.97.128/27127.27.97.129 to 127.27.97.158127.27.97.15930
14127.27.97.160/27127.27.97.161 to 127.27.97.190127.27.97.19130
15127.27.97.192/27127.27.97.193 to 127.27.97.222127.27.97.22330
16127.27.97.224/27127.27.97.225 to 127.27.97.254127.27.97.25530
17127.27.98.0/27127.27.98.1 to 127.27.98.30127.27.98.3130
18127.27.98.32/27127.27.98.33 to 127.27.98.62127.27.98.6330
19127.27.98.64/27127.27.98.65 to 127.27.98.94127.27.98.9530
20127.27.98.96/27127.27.98.97 to 127.27.98.126127.27.98.12730
21127.27.98.128/27127.27.98.129 to 127.27.98.158127.27.98.15930
22127.27.98.160/27127.27.98.161 to 127.27.98.190127.27.98.19130
23127.27.98.192/27127.27.98.193 to 127.27.98.222127.27.98.22330
24127.27.98.224/27127.27.98.225 to 127.27.98.254127.27.98.25530
25127.27.99.0/27127.27.99.1 to 127.27.99.30127.27.99.3130
26127.27.99.32/27127.27.99.33 to 127.27.99.62127.27.99.6330
27127.27.99.64/27127.27.99.65 to 127.27.99.94127.27.99.9530
28127.27.99.96/27127.27.99.97 to 127.27.99.126127.27.99.12730
29127.27.99.128/27127.27.99.129 to 127.27.99.158127.27.99.15930
30127.27.99.160/27127.27.99.161 to 127.27.99.190127.27.99.19130
31127.27.99.192/27127.27.99.193 to 127.27.99.222127.27.99.22330
32127.27.99.224/27127.27.99.225 to 127.27.99.254127.27.99.25530
33127.27.100.0/27127.27.100.1 to 127.27.100.30127.27.100.3130
34127.27.100.32/27127.27.100.33 to 127.27.100.62127.27.100.6330
35127.27.100.64/27127.27.100.65 to 127.27.100.94127.27.100.9530
36127.27.100.96/27127.27.100.97 to 127.27.100.126127.27.100.12730
37127.27.100.128/27127.27.100.129 to 127.27.100.158127.27.100.15930
38127.27.100.160/27127.27.100.161 to 127.27.100.190127.27.100.19130
39127.27.100.192/27127.27.100.193 to 127.27.100.222127.27.100.22330
40127.27.100.224/27127.27.100.225 to 127.27.100.254127.27.100.25530
41127.27.101.0/27127.27.101.1 to 127.27.101.30127.27.101.3130
42127.27.101.32/27127.27.101.33 to 127.27.101.62127.27.101.6330
43127.27.101.64/27127.27.101.65 to 127.27.101.94127.27.101.9530
44127.27.101.96/27127.27.101.97 to 127.27.101.126127.27.101.12730
45127.27.101.128/27127.27.101.129 to 127.27.101.158127.27.101.15930
46127.27.101.160/27127.27.101.161 to 127.27.101.190127.27.101.19130
47127.27.101.192/27127.27.101.193 to 127.27.101.222127.27.101.22330
48127.27.101.224/27127.27.101.225 to 127.27.101.254127.27.101.25530
49127.27.102.0/27127.27.102.1 to 127.27.102.30127.27.102.3130
50127.27.102.32/27127.27.102.33 to 127.27.102.62127.27.102.6330
51127.27.102.64/27127.27.102.65 to 127.27.102.94127.27.102.9530
52127.27.102.96/27127.27.102.97 to 127.27.102.126127.27.102.12730
53127.27.102.128/27127.27.102.129 to 127.27.102.158127.27.102.15930
54127.27.102.160/27127.27.102.161 to 127.27.102.190127.27.102.19130
55127.27.102.192/27127.27.102.193 to 127.27.102.222127.27.102.22330
56127.27.102.224/27127.27.102.225 to 127.27.102.254127.27.102.25530
57127.27.103.0/27127.27.103.1 to 127.27.103.30127.27.103.3130
58127.27.103.32/27127.27.103.33 to 127.27.103.62127.27.103.6330
59127.27.103.64/27127.27.103.65 to 127.27.103.94127.27.103.9530
60127.27.103.96/27127.27.103.97 to 127.27.103.126127.27.103.12730
61127.27.103.128/27127.27.103.129 to 127.27.103.158127.27.103.15930
62127.27.103.160/27127.27.103.161 to 127.27.103.190127.27.103.19130
63127.27.103.192/27127.27.103.193 to 127.27.103.222127.27.103.22330
64127.27.103.224/27127.27.103.225 to 127.27.103.254127.27.103.25530
65127.27.104.0/27127.27.104.1 to 127.27.104.30127.27.104.3130
66127.27.104.32/27127.27.104.33 to 127.27.104.62127.27.104.6330
67127.27.104.64/27127.27.104.65 to 127.27.104.94127.27.104.9530
68127.27.104.96/27127.27.104.97 to 127.27.104.126127.27.104.12730
69127.27.104.128/27127.27.104.129 to 127.27.104.158127.27.104.15930
70127.27.104.160/27127.27.104.161 to 127.27.104.190127.27.104.19130
71127.27.104.192/27127.27.104.193 to 127.27.104.222127.27.104.22330
72127.27.104.224/27127.27.104.225 to 127.27.104.254127.27.104.25530
73127.27.105.0/27127.27.105.1 to 127.27.105.30127.27.105.3130
74127.27.105.32/27127.27.105.33 to 127.27.105.62127.27.105.6330
75127.27.105.64/27127.27.105.65 to 127.27.105.94127.27.105.9530
76127.27.105.96/27127.27.105.97 to 127.27.105.126127.27.105.12730
77127.27.105.128/27127.27.105.129 to 127.27.105.158127.27.105.15930
78127.27.105.160/27127.27.105.161 to 127.27.105.190127.27.105.19130
79127.27.105.192/27127.27.105.193 to 127.27.105.222127.27.105.22330
80127.27.105.224/27127.27.105.225 to 127.27.105.254127.27.105.25530
81127.27.106.0/27127.27.106.1 to 127.27.106.30127.27.106.3130
82127.27.106.32/27127.27.106.33 to 127.27.106.62127.27.106.6330
83127.27.106.64/27127.27.106.65 to 127.27.106.94127.27.106.9530
84127.27.106.96/27127.27.106.97 to 127.27.106.126127.27.106.12730
85127.27.106.128/27127.27.106.129 to 127.27.106.158127.27.106.15930
86127.27.106.160/27127.27.106.161 to 127.27.106.190127.27.106.19130
87127.27.106.192/27127.27.106.193 to 127.27.106.222127.27.106.22330
88127.27.106.224/27127.27.106.225 to 127.27.106.254127.27.106.25530
89127.27.107.0/27127.27.107.1 to 127.27.107.30127.27.107.3130
90127.27.107.32/27127.27.107.33 to 127.27.107.62127.27.107.6330
91127.27.107.64/27127.27.107.65 to 127.27.107.94127.27.107.9530
92127.27.107.96/27127.27.107.97 to 127.27.107.126127.27.107.12730
93127.27.107.128/27127.27.107.129 to 127.27.107.158127.27.107.15930
94127.27.107.160/27127.27.107.161 to 127.27.107.190127.27.107.19130
95127.27.107.192/27127.27.107.193 to 127.27.107.222127.27.107.22330
96127.27.107.224/27127.27.107.225 to 127.27.107.254127.27.107.25530
97127.27.108.0/27127.27.108.1 to 127.27.108.30127.27.108.3130
98127.27.108.32/27127.27.108.33 to 127.27.108.62127.27.108.6330
99127.27.108.64/27127.27.108.65 to 127.27.108.94127.27.108.9530
100127.27.108.96/27127.27.108.97 to 127.27.108.126127.27.108.12730
101127.27.108.128/27127.27.108.129 to 127.27.108.158127.27.108.15930
102127.27.108.160/27127.27.108.161 to 127.27.108.190127.27.108.19130
103127.27.108.192/27127.27.108.193 to 127.27.108.222127.27.108.22330
104127.27.108.224/27127.27.108.225 to 127.27.108.254127.27.108.25530
105127.27.109.0/27127.27.109.1 to 127.27.109.30127.27.109.3130
106127.27.109.32/27127.27.109.33 to 127.27.109.62127.27.109.6330
107127.27.109.64/27127.27.109.65 to 127.27.109.94127.27.109.9530
108127.27.109.96/27127.27.109.97 to 127.27.109.126127.27.109.12730
109127.27.109.128/27127.27.109.129 to 127.27.109.158127.27.109.15930
110127.27.109.160/27127.27.109.161 to 127.27.109.190127.27.109.19130
111127.27.109.192/27127.27.109.193 to 127.27.109.222127.27.109.22330
112127.27.109.224/27127.27.109.225 to 127.27.109.254127.27.109.25530
113127.27.110.0/27127.27.110.1 to 127.27.110.30127.27.110.3130
114127.27.110.32/27127.27.110.33 to 127.27.110.62127.27.110.6330
115127.27.110.64/27127.27.110.65 to 127.27.110.94127.27.110.9530
116127.27.110.96/27127.27.110.97 to 127.27.110.126127.27.110.12730
117127.27.110.128/27127.27.110.129 to 127.27.110.158127.27.110.15930
118127.27.110.160/27127.27.110.161 to 127.27.110.190127.27.110.19130
119127.27.110.192/27127.27.110.193 to 127.27.110.222127.27.110.22330
120127.27.110.224/27127.27.110.225 to 127.27.110.254127.27.110.25530
121127.27.111.0/27127.27.111.1 to 127.27.111.30127.27.111.3130
122127.27.111.32/27127.27.111.33 to 127.27.111.62127.27.111.6330
123127.27.111.64/27127.27.111.65 to 127.27.111.94127.27.111.9530
124127.27.111.96/27127.27.111.97 to 127.27.111.126127.27.111.12730
125127.27.111.128/27127.27.111.129 to 127.27.111.158127.27.111.15930
126127.27.111.160/27127.27.111.161 to 127.27.111.190127.27.111.19130
127127.27.111.192/27127.27.111.193 to 127.27.111.222127.27.111.22330
128127.27.111.224/27127.27.111.225 to 127.27.111.254127.27.111.25530
129127.27.112.0/27127.27.112.1 to 127.27.112.30127.27.112.3130
130127.27.112.32/27127.27.112.33 to 127.27.112.62127.27.112.6330
131127.27.112.64/27127.27.112.65 to 127.27.112.94127.27.112.9530
132127.27.112.96/27127.27.112.97 to 127.27.112.126127.27.112.12730
133127.27.112.128/27127.27.112.129 to 127.27.112.158127.27.112.15930
134127.27.112.160/27127.27.112.161 to 127.27.112.190127.27.112.19130
135127.27.112.192/27127.27.112.193 to 127.27.112.222127.27.112.22330
136127.27.112.224/27127.27.112.225 to 127.27.112.254127.27.112.25530
137127.27.113.0/27127.27.113.1 to 127.27.113.30127.27.113.3130
138127.27.113.32/27127.27.113.33 to 127.27.113.62127.27.113.6330
139127.27.113.64/27127.27.113.65 to 127.27.113.94127.27.113.9530
140127.27.113.96/27127.27.113.97 to 127.27.113.126127.27.113.12730
141127.27.113.128/27127.27.113.129 to 127.27.113.158127.27.113.15930
142127.27.113.160/27127.27.113.161 to 127.27.113.190127.27.113.19130
143127.27.113.192/27127.27.113.193 to 127.27.113.222127.27.113.22330
144127.27.113.224/27127.27.113.225 to 127.27.113.254127.27.113.25530
145127.27.114.0/27127.27.114.1 to 127.27.114.30127.27.114.3130
146127.27.114.32/27127.27.114.33 to 127.27.114.62127.27.114.6330
147127.27.114.64/27127.27.114.65 to 127.27.114.94127.27.114.9530
148127.27.114.96/27127.27.114.97 to 127.27.114.126127.27.114.12730
149127.27.114.128/27127.27.114.129 to 127.27.114.158127.27.114.15930
150127.27.114.160/27127.27.114.161 to 127.27.114.190127.27.114.19130
151127.27.114.192/27127.27.114.193 to 127.27.114.222127.27.114.22330
152127.27.114.224/27127.27.114.225 to 127.27.114.254127.27.114.25530
153127.27.115.0/27127.27.115.1 to 127.27.115.30127.27.115.3130
154127.27.115.32/27127.27.115.33 to 127.27.115.62127.27.115.6330
155127.27.115.64/27127.27.115.65 to 127.27.115.94127.27.115.9530
156127.27.115.96/27127.27.115.97 to 127.27.115.126127.27.115.12730
157127.27.115.128/27127.27.115.129 to 127.27.115.158127.27.115.15930
158127.27.115.160/27127.27.115.161 to 127.27.115.190127.27.115.19130
159127.27.115.192/27127.27.115.193 to 127.27.115.222127.27.115.22330
160127.27.115.224/27127.27.115.225 to 127.27.115.254127.27.115.25530
161127.27.116.0/27127.27.116.1 to 127.27.116.30127.27.116.3130
162127.27.116.32/27127.27.116.33 to 127.27.116.62127.27.116.6330
163127.27.116.64/27127.27.116.65 to 127.27.116.94127.27.116.9530
164127.27.116.96/27127.27.116.97 to 127.27.116.126127.27.116.12730
165127.27.116.128/27127.27.116.129 to 127.27.116.158127.27.116.15930
166127.27.116.160/27127.27.116.161 to 127.27.116.190127.27.116.19130
167127.27.116.192/27127.27.116.193 to 127.27.116.222127.27.116.22330
168127.27.116.224/27127.27.116.225 to 127.27.116.254127.27.116.25530
169127.27.117.0/27127.27.117.1 to 127.27.117.30127.27.117.3130
170127.27.117.32/27127.27.117.33 to 127.27.117.62127.27.117.6330
171127.27.117.64/27127.27.117.65 to 127.27.117.94127.27.117.9530
172127.27.117.96/27127.27.117.97 to 127.27.117.126127.27.117.12730
173127.27.117.128/27127.27.117.129 to 127.27.117.158127.27.117.15930
174127.27.117.160/27127.27.117.161 to 127.27.117.190127.27.117.19130
175127.27.117.192/27127.27.117.193 to 127.27.117.222127.27.117.22330
176127.27.117.224/27127.27.117.225 to 127.27.117.254127.27.117.25530
177127.27.118.0/27127.27.118.1 to 127.27.118.30127.27.118.3130
178127.27.118.32/27127.27.118.33 to 127.27.118.62127.27.118.6330
179127.27.118.64/27127.27.118.65 to 127.27.118.94127.27.118.9530
180127.27.118.96/27127.27.118.97 to 127.27.118.126127.27.118.12730
181127.27.118.128/27127.27.118.129 to 127.27.118.158127.27.118.15930
182127.27.118.160/27127.27.118.161 to 127.27.118.190127.27.118.19130
183127.27.118.192/27127.27.118.193 to 127.27.118.222127.27.118.22330
184127.27.118.224/27127.27.118.225 to 127.27.118.254127.27.118.25530
185127.27.119.0/27127.27.119.1 to 127.27.119.30127.27.119.3130
186127.27.119.32/27127.27.119.33 to 127.27.119.62127.27.119.6330
187127.27.119.64/27127.27.119.65 to 127.27.119.94127.27.119.9530
188127.27.119.96/27127.27.119.97 to 127.27.119.126127.27.119.12730
189127.27.119.128/27127.27.119.129 to 127.27.119.158127.27.119.15930
190127.27.119.160/27127.27.119.161 to 127.27.119.190127.27.119.19130
191127.27.119.192/27127.27.119.193 to 127.27.119.222127.27.119.22330
192127.27.119.224/27127.27.119.225 to 127.27.119.254127.27.119.25530
193127.27.120.0/27127.27.120.1 to 127.27.120.30127.27.120.3130
194127.27.120.32/27127.27.120.33 to 127.27.120.62127.27.120.6330
195127.27.120.64/27127.27.120.65 to 127.27.120.94127.27.120.9530
196127.27.120.96/27127.27.120.97 to 127.27.120.126127.27.120.12730
197127.27.120.128/27127.27.120.129 to 127.27.120.158127.27.120.15930
198127.27.120.160/27127.27.120.161 to 127.27.120.190127.27.120.19130
199127.27.120.192/27127.27.120.193 to 127.27.120.222127.27.120.22330
200127.27.120.224/27127.27.120.225 to 127.27.120.254127.27.120.25530
201127.27.121.0/27127.27.121.1 to 127.27.121.30127.27.121.3130
202127.27.121.32/27127.27.121.33 to 127.27.121.62127.27.121.6330
203127.27.121.64/27127.27.121.65 to 127.27.121.94127.27.121.9530
204127.27.121.96/27127.27.121.97 to 127.27.121.126127.27.121.12730
205127.27.121.128/27127.27.121.129 to 127.27.121.158127.27.121.15930
206127.27.121.160/27127.27.121.161 to 127.27.121.190127.27.121.19130
207127.27.121.192/27127.27.121.193 to 127.27.121.222127.27.121.22330
208127.27.121.224/27127.27.121.225 to 127.27.121.254127.27.121.25530
209127.27.122.0/27127.27.122.1 to 127.27.122.30127.27.122.3130
210127.27.122.32/27127.27.122.33 to 127.27.122.62127.27.122.6330
211127.27.122.64/27127.27.122.65 to 127.27.122.94127.27.122.9530
212127.27.122.96/27127.27.122.97 to 127.27.122.126127.27.122.12730
213127.27.122.128/27127.27.122.129 to 127.27.122.158127.27.122.15930
214127.27.122.160/27127.27.122.161 to 127.27.122.190127.27.122.19130
215127.27.122.192/27127.27.122.193 to 127.27.122.222127.27.122.22330
216127.27.122.224/27127.27.122.225 to 127.27.122.254127.27.122.25530
217127.27.123.0/27127.27.123.1 to 127.27.123.30127.27.123.3130
218127.27.123.32/27127.27.123.33 to 127.27.123.62127.27.123.6330
219127.27.123.64/27127.27.123.65 to 127.27.123.94127.27.123.9530
220127.27.123.96/27127.27.123.97 to 127.27.123.126127.27.123.12730
221127.27.123.128/27127.27.123.129 to 127.27.123.158127.27.123.15930
222127.27.123.160/27127.27.123.161 to 127.27.123.190127.27.123.19130
223127.27.123.192/27127.27.123.193 to 127.27.123.222127.27.123.22330
224127.27.123.224/27127.27.123.225 to 127.27.123.254127.27.123.25530
225127.27.124.0/27127.27.124.1 to 127.27.124.30127.27.124.3130
226127.27.124.32/27127.27.124.33 to 127.27.124.62127.27.124.6330
227127.27.124.64/27127.27.124.65 to 127.27.124.94127.27.124.9530
228127.27.124.96/27127.27.124.97 to 127.27.124.126127.27.124.12730
229127.27.124.128/27127.27.124.129 to 127.27.124.158127.27.124.15930
230127.27.124.160/27127.27.124.161 to 127.27.124.190127.27.124.19130
231127.27.124.192/27127.27.124.193 to 127.27.124.222127.27.124.22330
232127.27.124.224/27127.27.124.225 to 127.27.124.254127.27.124.25530
233127.27.125.0/27127.27.125.1 to 127.27.125.30127.27.125.3130
234127.27.125.32/27127.27.125.33 to 127.27.125.62127.27.125.6330
235127.27.125.64/27127.27.125.65 to 127.27.125.94127.27.125.9530
236127.27.125.96/27127.27.125.97 to 127.27.125.126127.27.125.12730
237127.27.125.128/27127.27.125.129 to 127.27.125.158127.27.125.15930
238127.27.125.160/27127.27.125.161 to 127.27.125.190127.27.125.19130
239127.27.125.192/27127.27.125.193 to 127.27.125.222127.27.125.22330
240127.27.125.224/27127.27.125.225 to 127.27.125.254127.27.125.25530
241127.27.126.0/27127.27.126.1 to 127.27.126.30127.27.126.3130
242127.27.126.32/27127.27.126.33 to 127.27.126.62127.27.126.6330
243127.27.126.64/27127.27.126.65 to 127.27.126.94127.27.126.9530
244127.27.126.96/27127.27.126.97 to 127.27.126.126127.27.126.12730
245127.27.126.128/27127.27.126.129 to 127.27.126.158127.27.126.15930
246127.27.126.160/27127.27.126.161 to 127.27.126.190127.27.126.19130
247127.27.126.192/27127.27.126.193 to 127.27.126.222127.27.126.22330
248127.27.126.224/27127.27.126.225 to 127.27.126.254127.27.126.25530
249127.27.127.0/27127.27.127.1 to 127.27.127.30127.27.127.3130
250127.27.127.32/27127.27.127.33 to 127.27.127.62127.27.127.6330
251127.27.127.64/27127.27.127.65 to 127.27.127.94127.27.127.9530
252127.27.127.96/27127.27.127.97 to 127.27.127.126127.27.127.12730
253127.27.127.128/27127.27.127.129 to 127.27.127.158127.27.127.15930
254127.27.127.160/27127.27.127.161 to 127.27.127.190127.27.127.19130
255127.27.127.192/27127.27.127.193 to 127.27.127.222127.27.127.22330
256127.27.127.224/27127.27.127.225 to 127.27.127.254127.27.127.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses